AUDIT_NAME_TO_ACTION(3)

NAME
audit_name_to_action - Convert the action name to the numeric action value

SYNOPSIS
#include <libaudit.h>

int audit_name_to_action(const char *action);

DESCRIPTION
audit_name_to_action() converts the action name ("never", "possible", "always") to the numeric action value (AUDIT_NEVER, AUDIT_POSSIBLE, AUDIT_ALWAYS). action is the action name.

RETURN VALUE
Returns -1 if an error occurs; otherwise, the return value is the numeric action value.

SEE ALSO
audit_action_to_name(3),

AUTHOR
Steve Grubb